



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Windows Sublime Text 配置Linux子系统(WSL)下的 gcc/g++ 编译环境</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Windows Sublime Text 配置Linux子系统(WSL)下的 gcc/g++ 编译环境</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-15 20:36:11 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p><strong>0. 简介（若已了解背景可以跳过此部分）</strong></p>
<p>Windows 10 Build&nbsp;14316以上版本中加入了&ldquo;Windows系统的Linux子系统&rdquo;（Windows Subsystem for Linux，以下简称<em><strong>WSL</strong></em>）功能，这是一个完整的Linux系统。Sublime Text是一个迅速并且功能强大代码编辑器。现在网上大多数关于Sublime Text配置gcc/g++编译环境的教程都是用MinGW之类的工具，这里来讲讲如何使用WSL来创建原汁原味的gcc/g++编译环境。</p>
<p><strong>1. 安装WSL</strong></p>
<p>（参考文档 <a href="https://docs.microsoft.com/en-us/windows/wsl/install-win10" rel="external nofollow noreferrer">https://docs.microsoft.com/en-us/windows/wsl/install-win10</a> ）</p>
<p>在管理员权限的Power Shell中输入</p>
<div>
<pre class="prettyprint linenums">Enable-WindowsOptionalFeature -Online -FeatureName Microsoft-Windows-Subsystem-Linux</pre>
</div>
<p>如果需要，请重启电脑。</p>
<p>如果你的Windows版本大于build 16215，请继续在Windows Store中为WSL安装发行版，我选择的是Ubuntu。安装完成后进行基本的配置。</p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/683208/201803/683208-20180303121114034-992371066.png" /></p>
<p>最后检验安装是否成功，在powershell或者cmd下输入"bash"，如果进入了子系统则表明安装成功。</p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/683208/201803/683208-20180303121703565-425041158.png" /></p>
<p><strong>2. 为WSL安装gcc/g++编译工具</strong></p>
<p>在Bash中执行</p>
<div>
<pre class="prettyprint linenums">sudo apt-get update &amp;&amp; sudo apt-get install build-essential</pre>
</div>
<p>确认后即开始安装。</p>
<p><strong>3. 安装Sublime Text 3并配置gcc/g++ 编译环境</strong></p>
<p>从Sublime Text官网下载并安装：<a href="https://www.sublimetext.com/" rel="external nofollow noreferrer">https://www.sublimetext.com/</a></p>
<p>完成后打开Sublime软件，依次打开：Tools&mdash;&gt;Build System&mdash;&gt;New Build System，以gcc为例，输入以下内容：</p>
<div>
<pre class="prettyprint linenums">{<br />
  "cmd" : ["bash", "-c", "gcc ${file_name} -o ${file_base_name} &amp;&amp; ./${file_base_name}"],<br />
  "shell": true,<br />
  "working_dir": "${file_path}",<br />
}</pre>
</div>
<p>保存为WSLgcc.sublime-build，该文件在sublime的&nbsp; Packages/User 文件夹下。</p>
<p><strong>4. 测试是否配置成功</strong></p>
<p>在 Tools&mdash;&gt;Build System 中选择刚刚配置好的WSLgcc编译环境，创建文件进行测试：</p>
<div>
<pre class="prettyprint linenums">#include&lt;stdio.h&gt;<br />
int main ()<br />
{<br />
    printf("hello world!\n");<br />
    return ;<br />
}</pre>
</div>
<p>按 Ctrl+B 编译运行，可以看到运行结果：</p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/683208/201803/683208-20180303123204398-1028502075.png" /></p>
<p>P.S. 如果有疏漏或可改进的地方，欢迎在评论区留言噢</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/390wx0jq.html">HTML5列表、块和布局</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwdldy38.html">c&plus;&plus;回调</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlmne1k9.html">php 换行 PHP&lowbar;EOL变量</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zjko49.html">java中十进制转二进制转换函数</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mnxy2oq.html">scala学习笔记：理解lazy值</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwjkdkk8.html">commview for wifi 破解无线</a>
		</li>
						<li><a href="https://www.batexi.com/a/950pop08.html">mybatis generator Date类型时间丢失</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2j00wo8.html">Mac下ssh连接远程服务器时自动断开问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlj7kg69.html">织梦CMS安装分享插件</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1x1pjq.html">virtualbox 设置centos7 双网卡上网</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pww2oz8.html">【app】Appium日志文件分析</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25yxzoq.html">MySql中对Group by后的结果数进行Count</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gj0y449.html">深入解析内存原理：DRAM的基本原理</a>
		</li>
						<li><a href="https://www.batexi.com/a/93w25gnq.html">How to search for &quest; &lpar;question mark&rpar; in Excel</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o4pr0xq.html">ios开发之--UICollectionView的使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdj1yg7q.html">oracle 与mysql 的当前时间比较</a>
		</li>
						<li><a href="https://www.batexi.com/a/8km0y669.html">CGLIB介绍与原理</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnd2g6j8.html">vue中回到顶部</a>
		</li>
						<li><a href="https://www.batexi.com/a/qd51pvv9.html">css3&plus;jquery&plus;js做的翻翻乐小游戏</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvdpl2yq.html">Jquery前端选择器</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/9rgm3e48.html">mysql 列转行，合并字段</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnj06gj8.html">GIT工程迁移方法总结</a>
			</li>
						<li><a href="https://www.batexi.com/a/qy1x3vdq.html">&lbrack;JLOI2011&rsqb;基因补全</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxkxg4v8.html">sublime卡顿</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ey2lze9.html">集中式（SVN）和分布式（Git）版本控制系统的简单比较</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv1nlr1q.html">SQLServer2008修改sa密码的方法与SQL server 2008数据库的备份与还原</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rgmvkm8.html">Install MongoDB on Linux Systems 速记</a>
			</li>
						<li><a href="https://www.batexi.com/a/qlj76219.html">01 Java 搭建环境</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1k21o09.html">Jsonp 原理简述</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pde1p79.html">Go基础之--反射</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
